Subject: x-popup-menu on ttys

From: Stefan Monnier <[email-masked]>
Date: Tue, 10 Nov 2009 12:20:09 -0500

[ Resent from
  http://lists.gnu.org/archive/html/emacs-devel/2009-11/msg00261.html ]

>> The function in the Subject calls x-popup-menu, evidently under the
>> assumption that if Emacs can use a mouse, it also supports menus.  But
>> that assumption is false: Emacs configured --without-x can have mouse
>> support, e.g. via gpm-mouse, but does not have x-popup-menu.

> Yes, I agree this is a bug. Below is a patch for fixing the bug and a
> proposal for a ChangeLog entry.

Makes me wonder: is it really the only place where this kind of problem
shows up?  I think not.  Maybe we should fix it more globally by making
x-popup-menu work on ttys as well (e.g. by using tmm-prompt).

        Stefan